package com.mx.dla.dda.contrato.transaccion.ws.titulos.dtos;

import com.mx.dla.global.dtos.BaseDTO;

public class ResponseCargaTitulosTRDTO extends BaseDTO {
	
	private static final long serialVersionUID = 1L;
	private String mensaje;
	private boolean resultado;
	private CargaPrincipalTRDTO datosCarga;
	
	public ResponseCargaTitulosTRDTO()
	{
		this.datosCarga = new CargaPrincipalTRDTO();
	}
	
	public String getMensaje() {
		return this.mensaje;
	}
	public void setMensaje(String mensaje) {
		this.mensaje = mensaje;
	}
	
	public boolean isResultado() {
		return resultado;
	}
	public void setResultado(boolean resultado) {
		this.resultado = resultado;
	}
	
	public CargaPrincipalTRDTO getDatosCarga() {
		return datosCarga;
	}
	public void setDatosCarga(CargaPrincipalTRDTO datosCarga) {
		this.datosCarga = datosCarga;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" mensaje: _" + this.getMensaje() + "_" + NEW_LINE);
		result.append(" resultado: _" + this.isResultado() + "_" + NEW_LINE);
		result.append(" datosCarga: _" + this.getDatosCarga().toString() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
